<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.social.mapper.TPaymentInfoImportLogMapper">

  <resultMap id="tPaymentInfoImportLogMap" type="com.yifu.cloud.plus.v1.yifu.social.entity.TPaymentInfoImportLog">
    <id property="id" column="id"/>
    <result property="empName" column="emp_name"/>
    <result property="idCard" column="id_card"/>
    <result property="errMsg" column="err_msg"/>
    <result property="line" column="line"/>
    <result property="randomKey" column="random_key"/>
  </resultMap>
    <sql id="Base_Column_List">
                a.id,
                a.emp_name,
                a.id_card,
                a.err_msg,
                a.line,
                a.random_key
    </sql>
    <sql id="tPaymentInfoImportLog_where">
        <if test="tPaymentInfoImportLog != null">
                    <if test="tPaymentInfoImportLog.id != null">
                        AND a.id = #{tPaymentInfoImportLog.id}
                    </if>
                    <if test="tPaymentInfoImportLog.empName != null and tPaymentInfoImportLog.empName.trim() != ''">
                        AND a.emp_name = #{tPaymentInfoImportLog.empName}
                    </if>
                    <if test="tPaymentInfoImportLog.idCard != null and tPaymentInfoImportLog.idCard.trim() != ''">
                        AND a.id_card = #{tPaymentInfoImportLog.idCard}
                    </if>
                    <if test="tPaymentInfoImportLog.errMsg != null and tPaymentInfoImportLog.errMsg.trim() != ''">
                        AND a.err_msg = #{tPaymentInfoImportLog.errMsg}
                    </if>
                    <if test="tPaymentInfoImportLog.line != null">
                        AND a.line = #{tPaymentInfoImportLog.line}
                    </if>
                    <if test="tPaymentInfoImportLog.randomKey != null and tPaymentInfoImportLog.randomKey.trim() != ''">
                        AND a.random_key = #{tPaymentInfoImportLog.randomKey}
                    </if>
        </if>
    </sql>
    <!--tPaymentInfoImportLog简单分页查询-->
    <select id="getTPaymentInfoImportLogPage" resultMap="tPaymentInfoImportLogMap">
        SELECT
        <include refid="Base_Column_List"/>
        FROM t_payment_info_import_log a
        <where>
            1=1
            <include refid="tPaymentInfoImportLog_where"/>
        </where>
    </select>
</mapper>
